Skip to content
GET/{organizationId}/finance/finApi/banks

Get FinApi banks

Returns the FinApi banks available for integration for a given organization

Required permissions:

  • cashAccount.insert

Path Parameters

organizationIdstringrequired

Query Parameters

searchstringoptional

Authentication: X-API-Key

Request

GET/{organizationId}/finance/finApi/banks
curl --request GET 'https://cloud.campai.com/api/{organizationId}/finance/finApi/banks' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

idnumberrequired
namestringrequired

minLength: 1

iconstring | nullrequired

Additional properties are not allowed.

Response

200
[
  {
    "id": 1,
    "name": "string",
    "bic": "string",
    "icon": "string",
    "paymentCapabilities": {
      "sepaDirectDebit": true
    }
  }
]

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}